package com.yihu.jw.restmodel.hospital.consult;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * 医院咨询计费价目表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyHospitalConsultPriceVO", description = "医院咨询计费价目表")
public class WlyyHospitalConsultPriceVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 0图文 1视频
	 */
	@ApiModelProperty(value = "0图文 1视频", example = "模块1")
    private Integer type;

    /**
	 * 0按次收费 1计时收费 3固定时长收费 4
	 */
	@ApiModelProperty(value = "0按次收费 1计时收费 3固定时长收费 4", example = "模块1")
    private Integer payType;

    /**
	 * 服务科室
	 */
	@ApiModelProperty(value = "服务科室", example = "模块1")
    private String dept;

    /**
	 * 0专家 1主任 2医师
	 */
	@ApiModelProperty(value = "0专家 1主任 2医师", example = "模块1")
    private String doctorJob;

    /**
	 * 0帮扶医院、社区  1普通患者
	 */
	@ApiModelProperty(value = "0帮扶医院、社区  1普通患者", example = "模块1")
    private String serviceRange;

    /**
	 * 价格
	 */
	@ApiModelProperty(value = "价格", example = "模块1")
    private Integer price;

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码", example = "模块1")
    private String hospital;

    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getPayType() {
        return payType;
    }
    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDoctorJob() {
        return doctorJob;
    }
    public void setDoctorJob(String doctorJob) {
        this.doctorJob = doctorJob;
    }

    public String getServiceRange() {
        return serviceRange;
    }
    public void setServiceRange(String serviceRange) {
        this.serviceRange = serviceRange;
    }

    public Integer getPrice() {
        return price;
    }
    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }
}